%define name	perl-Curses-UI
%define version	0.95
%define release	1mdk

Summary:	A curses based perl OO user interface framework
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://www.cpan.org/
Source:		Curses-UI-%{version}.tar.bz2
Requires:	perl-Curses
Requires:	perl-Term-ReadKey
BuildRequires:	perl-devel perl-Test-Pod
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
A UI framework based on the curses library. Curses::UI contains
several widgets which can be used to build a user interface.

%prep

%setup -q -n Curses-UI-%{version}

# perl path hack
find . -type f | xargs perl -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build

%{__perl} Makefile.PL INSTALLDIRS=vendor

%make OPTIMIZE="%{optflags}"

make test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std


%clean 
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README examples CREDITS COLOR_TODO BUGS Changes
%{perl_vendorlib}/Curses/*
%{_mandir}/*/*

%changelog
* Wed Feb 09 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.95-1mdk
- 0.95
- enable tests

* Thu Dec 02 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.94-2mdk
- fix deps

* Thu Dec 02 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.94-1mdk
- initial mandrake import

* Thu Sep 02 2004 Francis J. Lacoste <flacoste@logreport.org> 0.93-1
  - Upstream ugprade to 0.93.
  - Rebuilt on Fedora Core 2.

* Fri Apr 09 2004 Francis J. Lacoste <flacoste@logreport.org> 0.92-1
  - Initial packaging.
